ENT.Type = "anim"
ENT.Base = "base_anim"
ENT.PrintName = "Protect Base"
ENT.Spawnable = false

ENT.Damageable = false
ENT.StartingHealth = 100

ENT.AutoRepair = true
ENT.AutoRepairRate = 1

ENT.Breakable = true
ENT.SparkOnBreak = true

ENT.FixMode = "manual"
ENT.AutoFixDelay = 30
ENT.ManualFixCost = 500

function ENT:SetupDataTables()
	self:NetworkVar("Int", 0, "price")
	self:NetworkVar("Entity", 0, "owning_ent")
	self:NetworkVar("String", 0, "DeviceName")
	self.HintDrawDistance = self.HintDrawDistance * self.HintDrawDistance
	self.HealthDrawDistance = self.HealthDrawDistance * self.HealthDrawDistance
	self.ManualFixDistance = self.ManualFixDistance * self.ManualFixDistance
end

function ENT:PhysgunPickup(ply)
	return ply == self:Getowning_ent() or ply:IsAdmin()
end

function ENT:CanTool(ply, trace, mode)
	return mode == "remover" and ply == self:Getowning_ent() or mode == "remover" and ply:IsAdmin()
end